#
# spec file for package jhead (Version 2.7)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           jhead
License:        Public Domain, Freeware
Group:          Productivity/Graphics/Other
AutoReqProv:    on
Version:        2.7
Release:        11.3
Requires:       %{_bindir}/jpegtran
Summary:        Tool to Manipulate the Nonimage Part of EXIF Compliant JPEG Files
Url:            http://www.sentex.net/~mwandel/jhead/
Source:         %{name}-%{version}.tar.bz2
Patch:          jhead-overflow.patch
Patch1:         jhead-DoCommand.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Jhead is a command line utility for extracting digital camera settings
from the EXIF format files used by many digital cameras. It handles the
various confusing ways these can be expressed and displays them as
F-stop, shutter speed, and more. It is also able to reduce the size of
digital camera JPEG files without loss of information by deleting
thumbnails that digital cameras put into the EXIF header.



Authors:
--------
    Matthias Wandel <mwandel@sentex.net>

%debug_package
%prep
%setup -q
%patch
%patch1
# Let RPM compress it according to actual policy.
gunzip jhead.1.gz

%build
make CC="gcc $RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 jhead $RPM_BUILD_ROOT/%{_bindir}
install -m 644 jhead.1  $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc changes.txt readme.txt usage.html
%{_bindir}/*
%doc %{_mandir}/man1/*.*

%changelog
* Mon Jan 05 2009 - sbrabec@suse.cz
- Fixed arbitrary command vulnerability in DoCommand (bnc#435979,
  CVE-2008-4641).
* Thu Oct 16 2008 - sbrabec@suse.cz
- Fixed a bunch of potential string overflows (bnc#435979,
  CVE-2008-4575).
* Mon Aug 06 2007 - sbrabec@suse.cz
- Updated to version 2.7:
  * Remove maximum jpeg sections limit
  * Added -ds option
  * On clearing rotation, clear the image and the optional
  thumbnail rotation tags.
  * Add -mkexif option to make a new exif header.
* Sat Dec 16 2006 - prusnak@suse.cz
- fixed comparison with string literal (strcmp.patch) [#226477]
* Fri Oct 20 2006 - sbrabec@suse.cz
- Updated to version 2.6:
  * Compilation and bug fixes
  * Fix shutter speed display in '-c' mode for very long shutter
  speeds
  * Fix a bug in autorot when rotating filenames with spaces in
  them.
  * Improved handling of corrupt exif linkages in exif header.
  * Added -a (rename associated files) options.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 - sbrabec@suse.cz
- Updated to version 2.5.
* Fri Jul 29 2005 - sbrabec@suse.cz
- Updated to version 2.4.
* Tue Feb 08 2005 - mcihar@suse.cz
- update to 2.3
* Fri Jul 16 2004 - mcihar@suse.cz
- use fixed 2.2 tarball, so patch is not needed
* Wed Jul 14 2004 - mcihar@suse.cz
- update to 2.2
* Tue Jan 27 2004 - mcihar@suse.cz
- update to 2.1:
  This release changes the behavior of setting copied dates, adds the "-cl"
  option for inserting literal comments, adds the "-norot" option, and fixes
  the Unix Makefile.
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Mon Aug 11 2003 - mcihar@suse.cz
- requires jpegtran (used for -autorot)
* Fri Aug 08 2003 - mcihar@suse.cz
- created new package
